std::predicate(3cxx)

NAME
std::predicate - [concept.predicate], concept predicate

SYNOPSIS

#include <concepts>

Concept definition

template<typename _Fn, typename... _Args>
concept std::predicate =  regular_invocable<_Fn, _Args...>
      && __detail::__boolean_testable<invoke_result_t<_Fn, _Args...>>

Detailed Description

[concept.predicate], concept predicate

Author

Generated automatically by Doxygen for libstdc++ from the source code.